Bug 28936 - Sort1 and Sort2 should be included in BorrowerUnwantedField and related sysprefs
Summary: Sort1 and Sort2 should be included in BorrowerUnwantedField and related sysprefs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 22844
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-01 12:51 UTC by Andrew Fuerste-Henry
Modified: 2021-09-20 13:45 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.04,20.11.10


Attachments
Bug 28936: Add sort1/sort2 to borrowers.json (3.52 KB, patch)
2021-09-01 16:26 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28936: Add sort1/sort2 to borrowers.json (3.66 KB, patch)
2021-09-05 13:54 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 28936: Add sort1/sort2 to borrowers.json (3.72 KB, patch)
2021-09-06 06:02 UTC, Emmi Takkinen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-09-01 12:51:15 UTC
Sort1 and Sort2 are not included in the checkboxes for BorrowerUnwatedField, PatronSelfRegistrationBorrowerUnwantedField, PatronSelfModificationBorrowerUnwantedField, BorrowerMandatoryField, and PatronSelfRegistrationBorrowerMandatoryField. We should include them as options on these sysprefs.
Comment 1 Lucas Gass 2021-09-01 16:26:32 UTC
Created attachment 124413 [details] [review]
Bug 28936: Add sort1/sort2 to borrowers.json

To Test:
1. Check the BorrowerMandatoryField and BorrowerUnwantedField system preferences, sort1 and sort2 cannot be hidden or required
2. Apply patch
3. Check the BorrowerMandatoryField and BorrowerUnwantedField system preferences again, you should see sort1 and sort2
4. Since sort1 and sort2 are now added to borrowers.json we must also check the system preferences PatronQuickAddFields & PatronDuplicateMatchingAddFields
5. They should both now include sort1 and sort2, check to make sure they work with these two system preferences
6. Look at the system preferences PatronSelfRegistrationBorrowerMandatoryField, PatronSelfRegistrationBorrowerUnwantedField, and PatronSelfModificationBorrowerUnwantedField
7. sort1 and sort2 should be disabled in these OPAC system preferences

This patch does not attempt to add sort1 or sort2 to the self reg or borrower mod pages. If they should be added, which I am not sure they should, we should do so in a seperate bug
Comment 2 Joonas Kylmälä 2021-09-05 13:54:04 UTC
Created attachment 124516 [details] [review]
Bug 28936: Add sort1/sort2 to borrowers.json

To Test:
1. Check the BorrowerMandatoryField and BorrowerUnwantedField system preferences, sort1 and sort2 cannot be hidden or required
2. Apply patch
3. Check the BorrowerMandatoryField and BorrowerUnwantedField system preferences again, you should see sort1 and sort2
4. Since sort1 and sort2 are now added to borrowers.json we must also check the system preferences PatronQuickAddFields & PatronDuplicateMatchingAddFields
5. They should both now include sort1 and sort2, check to make sure they work with these two system preferences
6. Look at the system preferences PatronSelfRegistrationBorrowerMandatoryField, PatronSelfRegistrationBorrowerUnwantedField, and PatronSelfModificationBorrowerUnwantedField
7. sort1 and sort2 should be disabled in these OPAC system preferences

This patch does not attempt to add sort1 or sort2 to the self reg or borrower mod pages. If they should be added, which I am not sure they should, we should do so in a seperate bug

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 3 Emmi Takkinen 2021-09-06 06:02:52 UTC
Created attachment 124522 [details] [review]
Bug 28936: Add sort1/sort2 to borrowers.json

To Test:
1. Check the BorrowerMandatoryField and BorrowerUnwantedField system preferences, sort1 and sort2 cannot be hidden or required
2. Apply patch
3. Check the BorrowerMandatoryField and BorrowerUnwantedField system preferences again, you should see sort1 and sort2
4. Since sort1 and sort2 are now added to borrowers.json we must also check the system preferences PatronQuickAddFields & PatronDuplicateMatchingAddFields
5. They should both now include sort1 and sort2, check to make sure they work with these two system preferences
6. Look at the system preferences PatronSelfRegistrationBorrowerMandatoryField, PatronSelfRegistrationBorrowerUnwantedField, and PatronSelfModificationBorrowerUnwantedField
7. sort1 and sort2 should be disabled in these OPAC system preferences

This patch does not attempt to add sort1 or sort2 to the self reg or borrower mod pages. If they should be added, which I am not sure they should, we should do so in a seperate bug

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Signed-off-by: Emmi Takkinen <emmi.takkinen@koha-suomi.fi>
Comment 4 Joonas Kylmälä 2021-09-06 07:57:07 UTC
Passing QA.
Comment 5 Jonathan Druart 2021-09-09 09:01:10 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-09-10 12:16:17 UTC
Pushed to 21.05.x for 21.05.04
Comment 7 Fridolin Somers 2021-09-16 07:56:37 UTC
Pushed to 20.11.x for 20.11.10
Comment 8 Victor Grousset/tuxayo 2021-09-20 13:45:35 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.